Subject: Re: [RFT] bridge: eliminate port_check workqueue

From: Stephen Hemminger <[email-masked]>
Date: Wed, 21 Feb 2007 13:19:27 -0800

On Wed, 21 Feb 2007 23:09:16 +0300
Oleg Nesterov <[email-masked]> wrote:

> On 02/21, Stephen Hemminger wrote:
> >
> > This is what I was suggesting by getting rid of the work queue completely.
> 
> Can't comment this patch, but if we can get rid of the work_struct - good!
> 
> > -static void port_carrier_check(struct work_struct *work)
> > +void br_port_carrier_check(struct net_bridge_port *p)
> >  {
> > -	struct net_bridge_port *p;
> > -	struct net_device *dev;
> > -	struct net_bridge *br;
> > -
> > -	dev = container_of(work, struct net_bridge_port,
> > -			   carrier_check.work)->dev;
> > -	work_release(work);
> 
> May I ask you to redo this patch on top of
> 
> 	[PATCH 1/3] net/bridge/br_if.c: don't use _WORK_NAR
> 	http://marc.theaimsgroup.com/?l=linux-kernel&m=117183517612775
> 
> ?
> 
> We are removing the _NAR stuff, it would be nice to do this in a separate
> patch.
> 
> Thanks!
> 
> Oleg.

I would rather put it in a bugfix patchset for 2.6.21 and 2.6.20-stable

-- 
Stephen Hemminger <[email-masked]>